# Class LLLoginService

java.lang.Object
org.eclipse.jetty.util.component.AbstractLifeCycle
org.eclipse.jetty.util.component.ContainerLifeCycle
org.eclipse.jetty.security.AbstractLoginService
com.io7m.looseleaf.server.internal.auth.LLLoginService

All Implemented Interfaces:
  `org.eclipse.jetty.security.LoginService`, `org.eclipse.jetty.util.component.Container`, `org.eclipse.jetty.util.component.Destroyable`, `org.eclipse.jetty.util.component.Dumpable`, `org.eclipse.jetty.util.component.Dumpable.DumpableContainer`, `org.eclipse.jetty.util.component.LifeCycle`

public final class LLLoginService extends org.eclipse.jetty.security.AbstractLoginService
A Jetty login service.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

  `org.eclipse.jetty.util.component.AbstractLifeCycle.AbstractLifeCycleListener, org.eclipse.jetty.util.component.AbstractLifeCycle.StopException`

  ### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.Container

  `org.eclipse.jetty.util.component.Container.InheritedListener, org.eclipse.jetty.util.component.Container.Listener`

  ### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.Dumpable

  `org.eclipse.jetty.util.component.Dumpable.DumpableContainer`

  ### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle

  `org.eclipse.jetty.util.component.LifeCycle.Listener`

- ## Field Summary

  ### Fields inherited from class org.eclipse.jetty.security.AbstractLoginService

  `_fullValidate, _identityService, _name`

  ### Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

  `FAILED, STARTED, STARTING, STOPPED, STOPPING`

  ### Fields inherited from interface org.eclipse.jetty.util.component.Dumpable

  `KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LLLoginService(LLSecurityContext inContext)`
  A Jetty login service.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected List<org.eclipse.jetty.security.RolePrincipal>`
  `loadRoleInfo(org.eclipse.jetty.security.UserPrincipal user)`
  `protected org.eclipse.jetty.security.UserPrincipal`
  `loadUserInfo(String username)`

  ### Methods inherited from class org.eclipse.jetty.security.AbstractLoginService

  `getIdentityService, getName, isFullValidate, login, logout, setFullValidate, setIdentityService, setName, toString, validate`

  ### Methods inherited from class org.eclipse.jetty.util.component.ContainerLifeCycle

  `addBean, addBean, addEventListener, addManaged, contains, destroy, doStart, doStop, dump, dump, dump, dumpObjects, dumpStdErr, getBean, getBeans, getBeans, getContainedBeans, getContainedBeans, isAuto, isManaged, isUnmanaged, manage, removeBean, removeBeans, removeEventListener, setBeans, start, stop, unmanage, updateBean, updateBean, updateBeans, updateBeans`

  ### Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

  `getEventListeners, getState, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, setEventListeners, start, stop`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.eclipse.jetty.util.component.Container

  `getCachedBeans, getEventListeners`

  ### Methods inherited from interface org.eclipse.jetty.util.component.Dumpable

  `dumpSelf`

  ### Methods inherited from interface org.eclipse.jetty.util.component.Dumpable.DumpableContainer

  `isDumpable`

- ## Constructor Details

  - ### LLLoginService

    public LLLoginService(LLSecurityContext inContext)
    A Jetty login service.
    Parameters:
      `inContext` - The server security context

- ## Method Details

  - ### loadRoleInfo

    protected List<org.eclipse.jetty.security.RolePrincipal> loadRoleInfo(org.eclipse.jetty.security.UserPrincipal user)
    Specified by:
      `loadRoleInfo` in class `org.eclipse.jetty.security.AbstractLoginService`

  - ### loadUserInfo

    protected org.eclipse.jetty.security.UserPrincipal loadUserInfo(String username)
    Specified by:
      `loadUserInfo` in class `org.eclipse.jetty.security.AbstractLoginService`